Need a 3.1.4 ROM

A forum for Classic Amiga specific support issues.

Need a 3.1.4 ROM

Postby C64er » Wed Oct 17, 2018 12:03 am

Hello all,
Got my OS 3.1.4 now I need a ROM. I don't have a burner to support 40 pin EPROMS. Anyone willing to help?

Thanks, Dan
C64er
 
Posts: 9
Joined: Sat Oct 13, 2018 10:35 pm

Return to Platform: Classic

Who is online

Users browsing this forum: No registered users and 2 guests